Package com.ocient.jdbc.proto

## Class PlanProtocol.Operator

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.ocient.jdbc.proto.PlanProtocol.Operator

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.OperatorOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.Operator
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.OperatorOrBuilder

    Represents an operator node in the plan

Protobuf type `xg.db.sqlPlans.Operator`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `PlanProtocol.Operator.Builder` Represents an operator node in the plan
`static class` `PlanProtocol.Operator.ErrorType` used for vm error testing only when TEST_VM_ERROR is defined
`static class` `PlanProtocol.Operator.OperatorType` Protobuf enum `xg.db.sqlPlans.Operator.OperatorType`
`static class` `PlanProtocol.Operator.RequestOneofCase`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `AGGREGATION_OPERATOR_FIELD_NUMBER`
`static int` `AVG_COL_SIZE_VIRTUAL_OPERATOR_FIELD_NUMBER`
`static int` `BRANCH_INDEX_FIELD_NUMBER`
`static int` `BROADCAST_OPERATOR_FIELD_NUMBER`
`static int` `CHILD_INDEX_FIELD_NUMBER`
`static int` `CHILDREN_FIELD_NUMBER`
`static int` `COL_CARD_VIRTUAL_OPERATOR_FIELD_NUMBER`
`static int` `COL_DIST_VIRTUAL_OPERATOR_FIELD_NUMBER`
`static int` `COLCARD_FIELD_NUMBER`
`static int` `COLSIZES_FIELD_NUMBER`
`static int` `COLUMN_EMITTER_OPERATOR_FIELD_NUMBER`
`static int` `COST_FIELD_NUMBER`
`static int` `DISTANCE_FROM_LEAF_FIELD_NUMBER`
`static int` `EOS_OPERATOR_FIELD_NUMBER`
`static int` `ERROR_OPERATOR_FIELD_NUMBER`
`static int` `ERRORPARTITION_FIELD_NUMBER`
`static int` `ERRORTKTLEVEL_FIELD_NUMBER`
`static int` `ERRORTYPE_FIELD_NUMBER`
`static int` `EXCEPT_OPERATOR_FIELD_NUMBER`
`static int` `EXTEND_OPERATOR_FIELD_NUMBER`
`static int` `EXTERNAL_FIELD_NUMBER`
`static int` `GATHER_OPERATOR_FIELD_NUMBER`
`static int` `GDC_LOOKUP_OPERATOR_FIELD_NUMBER`
`static int` `GENERATE_OPERATOR_FIELD_NUMBER`
`static int` `HASH_JOIN_OPERATOR_FIELD_NUMBER`
`static int` `ID_FIELD_NUMBER`
`static int` `INCREMENTING_BIGINT_OPERATOR_FIELD_NUMBER`
`static int` `INCREMENTING_INT_OPERATOR_FIELD_NUMBER`
`static int` `INDEX_AGG_OPERATOR_FIELD_NUMBER`
`static int` `INDEX_COUNT_STAR_OPERATOR_FIELD_NUMBER`
`static int` `INDEX_DISTINCT_OPERATOR_FIELD_NUMBER`
`static int` `INDEX_OPERATOR_FIELD_NUMBER`
`static int` `INTERSECT_OPERATOR_FIELD_NUMBER`
`static int` `LIMIT_OPERATOR_FIELD_NUMBER`
`static int` `MAKE_VECTOR_OPERATOR_FIELD_NUMBER`
`static int` `MATRIX_EXTEND_OPERATOR_FIELD_NUMBER`
`static int` `MEMORYUSAGE_FIELD_NUMBER`
`static int` `MODIFY_SCHEMA_OPERATOR_FIELD_NUMBER`
`static int` `NUMDISTINCTPARENTS_FIELD_NUMBER`
`static int` `NUMPARENTS_FIELD_NUMBER`
`static int` `OFFSET_OPERATOR_FIELD_NUMBER`
`static int` `ORDERED_AGG_OPERATOR_FIELD_NUMBER`
`static int` `ORDERED_DISTINCT_OPERATOR_FIELD_NUMBER`
`static int` `ORDERED_GATHER_OPERATOR_FIELD_NUMBER`
`static int` `OUTPUTCARDINALITY_FIELD_NUMBER`
`static int` `OUTPUTCOLUMNS_FIELD_NUMBER`
`static int` `OUTPUTISNULLABLE_FIELD_NUMBER`
`static int` `OUTPUTTYPES_FIELD_NUMBER`
`static int` `PARTITION_COUNTS_FIELD_NUMBER`
`static int` `PARTITION_INDEX_FIELD_NUMBER`
`static int` `PARTITIONING_FIELD_NUMBER`
`static int` `PRODUCT_OPERATOR_FIELD_NUMBER`
`static int` `PROJECT_OUT_OPERATOR_FIELD_NUMBER`
`static int` `QUERIES_VIRTUAL_OPERATOR_FIELD_NUMBER`
`static int` `RANDOM_INT_OPERATOR_FIELD_NUMBER`
`static int` `REFERENCE_OPERATOR_FIELD_NUMBER`
`static int` `RENAME_OPERATOR_FIELD_NUMBER`
`static int` `REORDER_OPERATOR_FIELD_NUMBER`
`static int` `ROOT_OPERATOR_FIELD_NUMBER`
`static int` `SELECT_OPERATOR_FIELD_NUMBER`
`static int` `SHUFFLE_OPERATOR_FIELD_NUMBER`
`static int` `SORT_OPERATOR_FIELD_NUMBER`
`static int` `SORTDIRECTIONS_FIELD_NUMBER`
`static int` `SORTORDER_FIELD_NUMBER`
`static int` `STORAGE_SPACE_UUIDS_FIELD_NUMBER`
`static int` `SUPER_SELECT_OPERATOR_FIELD_NUMBER`
`static int` `SWITCH_OPERATOR_FIELD_NUMBER`
`static int` `SYSTEM_CONFIGURATION_VIRTUAL_OPERATOR_FIELD_NUMBER`
`static int` `TABLE_CARD_VIRTUAL_OPERATOR_FIELD_NUMBER`
`static int` `TABLE_SCAN_OPERATOR_FIELD_NUMBER`
`static int` `TEE_OPERATOR_FIELD_NUMBER`
`static int` `TESTOOMFLAGS_FIELD_NUMBER`
`static int` `TYPE_FIELD_NUMBER`
`static int` `UNION_OPERATOR_FIELD_NUMBER`
`static int` `UNMAKE_VECTOR_OPERATOR_FIELD_NUMBER`
`static int` `UPSTREAM_PARTITION_SENSITIVE_FIELD_NUMBER`
`static int` `WINDOW_OPERATOR_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`PlanProtocol.AggregationOperator` `getAggregationOperator()` `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.AggregationOperatorOrBuilder` `getAggregationOperatorOrBuilder()` `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`PlanProtocol.AvgColSizeVirtualOperator` `getAvgColSizeVirtualOperator()` `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`PlanProtocol.AvgColSizeVirtualOperatorOrBuilder` `getAvgColSizeVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`int` `getBranchIndex()` `uint32 branch_index = 23;`
`PlanProtocol.BroadcastOperator` `getBroadcastOperator()` `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`PlanProtocol.BroadcastOperatorOrBuilder` `getBroadcastOperatorOrBuilder()` `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`int` `getChildIndex()` these are calculated by level-1(sql-node) vm compilation process
`PlanProtocol.Operator` `getChildren​(int index)` The children of this operator - order does matter
`int` `getChildrenCount()` The children of this operator - order does matter
`List<PlanProtocol.Operator>` `getChildrenList()` The children of this operator - order does matter
`PlanProtocol.OperatorOrBuilder` `getChildrenOrBuilder​(int index)` The children of this operator - order does matter
`List<? extends PlanProtocol.OperatorOrBuilder>` `getChildrenOrBuilderList()` The children of this operator - order does matter
`long` `getColCard​(int index)` The estimated # of unique values for each col (in the same order)
`int` `getColCardCount()` The estimated # of unique values for each col (in the same order)
`List<Long>` `getColCardList()` The estimated # of unique values for each col (in the same order)
`PlanProtocol.ColCardVirtualOperator` `getColCardVirtualOperator()` `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.ColCardVirtualOperatorOrBuilder` `getColCardVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`PlanProtocol.ColDistVirtualOperator` `getColDistVirtualOperator()` `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`PlanProtocol.ColDistVirtualOperatorOrBuilder` `getColDistVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`int` `getColSizes​(int index)` the average size of each output column
`int` `getColSizesCount()` the average size of each output column
`List<Integer>` `getColSizesList()` the average size of each output column
`PlanProtocol.ColumnEmitterOperator` `getColumnEmitterOperator()` `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`PlanProtocol.ColumnEmitterOperatorOrBuilder` `getColumnEmitterOperatorOrBuilder()` `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`double` `getCost()` The cost for this operator as determined by the optimizer
`static PlanProtocol.Operator` `getDefaultInstance()`
`PlanProtocol.Operator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`long` `getDistanceFromLeaf()` `uint64 distance_from_leaf = 21;`
`PlanProtocol.EosOperator` `getEosOperator()` `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.EosOperatorOrBuilder` `getEosOperatorOrBuilder()` `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`PlanProtocol.ErrorOperator` `getErrorOperator()` `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`PlanProtocol.ErrorOperatorOrBuilder` `getErrorOperatorOrBuilder()` `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`int` `getErrorPartition​(int index)` errorPartition = UNIT_MAX => apply the error on all partitions
`int` `getErrorPartitionCount()` errorPartition = UNIT_MAX => apply the error on all partitions
`List<Integer>` `getErrorPartitionList()` errorPartition = UNIT_MAX => apply the error on all partitions
`int` `getErrorTktLevel​(int index)` 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`int` `getErrorTktLevelCount()` 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`List<Integer>` `getErrorTktLevelList()` 0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels
`PlanProtocol.Operator.ErrorType` `getErrorType()` `.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`
`int` `getErrorTypeValue()` `.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`
`PlanProtocol.ExceptOperator` `getExceptOperator()` `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.ExceptOperatorOrBuilder` `getExceptOperatorOrBuilder()` `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`PlanProtocol.ExtendOperator` `getExtendOperator()` `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`PlanProtocol.ExtendOperatorOrBuilder` `getExtendOperatorOrBuilder()` `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`boolean` `getExternal()` If true, the operator should run externally
`PlanProtocol.GatherOperator` `getGatherOperator()` `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.GatherOperatorOrBuilder` `getGatherOperatorOrBuilder()` `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`PlanProtocol.GdcLookupOperator` `getGdcLookupOperator()` `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.GdcLookupOperatorOrBuilder` `getGdcLookupOperatorOrBuilder()` `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`PlanProtocol.GenerateOperator` `getGenerateOperator()` `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.GenerateOperatorOrBuilder` `getGenerateOperatorOrBuilder()` `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`PlanProtocol.HashJoinOperator` `getHashJoinOperator()` `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`PlanProtocol.HashJoinOperatorOrBuilder` `getHashJoinOperatorOrBuilder()` `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`String` `getId()` The id of the operator (used for referencing to a previously defined operator) If type is REFERENCE, then this is the id of the operator being referenced This is a uuid
`com.google.protobuf.ByteString` `getIdBytes()` The id of the operator (used for referencing to a previously defined operator) If type is REFERENCE, then this is the id of the operator being referenced This is a uuid
`PlanProtocol.IncrementingBigIntOperator` `getIncrementingBigintOperator()` `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.IncrementingBigIntOperatorOrBuilder` `getIncrementingBigintOperatorOrBuilder()` `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`PlanProtocol.IncrementingIntOperator` `getIncrementingIntOperator()` `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.IncrementingIntOperatorOrBuilder` `getIncrementingIntOperatorOrBuilder()` `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`PlanProtocol.IndexAggOperator` `getIndexAggOperator()` `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.IndexAggOperatorOrBuilder` `getIndexAggOperatorOrBuilder()` `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`PlanProtocol.IndexCountStarOperator` `getIndexCountStarOperator()` `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.IndexCountStarOperatorOrBuilder` `getIndexCountStarOperatorOrBuilder()` `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`PlanProtocol.IndexDistinctOperator` `getIndexDistinctOperator()` `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.IndexDistinctOperatorOrBuilder` `getIndexDistinctOperatorOrBuilder()` `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`PlanProtocol.IndexOperator` `getIndexOperator()` `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.IndexOperatorOrBuilder` `getIndexOperatorOrBuilder()` `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`PlanProtocol.IntersectOperator` `getIntersectOperator()` `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.IntersectOperatorOrBuilder` `getIntersectOperatorOrBuilder()` `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`PlanProtocol.LimitOperator` `getLimitOperator()` `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.LimitOperatorOrBuilder` `getLimitOperatorOrBuilder()` `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`PlanProtocol.MakeVectorOperator` `getMakeVectorOperator()` `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.MakeVectorOperatorOrBuilder` `getMakeVectorOperatorOrBuilder()` `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`PlanProtocol.MatrixExtendOperator` `getMatrixExtendOperator()` `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`PlanProtocol.MatrixExtendOperatorOrBuilder` `getMatrixExtendOperatorOrBuilder()` `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`long` `getMemoryUsage()` The estimated number of bytes of memory needed by this operator (may be zero)
`PlanProtocol.ModifySchemaOperator` `getModifySchemaOperator()` `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`PlanProtocol.ModifySchemaOperatorOrBuilder` `getModifySchemaOperatorOrBuilder()` `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`int` `getNumDistinctParents()` `uint32 numDistinctParents = 20;`
`int` `getNumParents()` `uint32 numParents = 14;`
`PlanProtocol.OffsetOperator` `getOffsetOperator()` `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.OffsetOperatorOrBuilder` `getOffsetOperatorOrBuilder()` `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`PlanProtocol.OrderedAggOperator` `getOrderedAggOperator()` `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.OrderedAggOperatorOrBuilder` `getOrderedAggOperatorOrBuilder()` `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`PlanProtocol.OrderedDistinctOperator` `getOrderedDistinctOperator()` `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.OrderedDistinctOperatorOrBuilder` `getOrderedDistinctOperatorOrBuilder()` `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`PlanProtocol.OrderedGatherOperator` `getOrderedGatherOperator()` `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`PlanProtocol.OrderedGatherOperatorOrBuilder` `getOrderedGatherOperatorOrBuilder()` `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`long` `getOutputCardinality()` The estimated number of rows produced by this operator
`String` `getOutputColumns​(int index)` The columns that come out of this operator
`com.google.protobuf.ByteString` `getOutputColumnsBytes​(int index)` The columns that come out of this operator
`int` `getOutputColumnsCount()` The columns that come out of this operator
`com.google.protobuf.ProtocolStringList` `getOutputColumnsList()` The columns that come out of this operator
`boolean` `getOutputIsNullable​(int index)` Which output columns are nullable?
`int` `getOutputIsNullableCount()` Which output columns are nullable?
`List<Boolean>` `getOutputIsNullableList()` Which output columns are nullable?
`PlanProtocol.SqlColType` `getOutputTypes​(int index)` The types for each of those columns (in the same order)
`int` `getOutputTypesCount()` The types for each of those columns (in the same order)
`List<PlanProtocol.SqlColType>` `getOutputTypesList()` The types for each of those columns (in the same order)
`int` `getOutputTypesValue​(int index)` The types for each of those columns (in the same order)
`List<Integer>` `getOutputTypesValueList()` The types for each of those columns (in the same order)
`com.google.protobuf.Parser<PlanProtocol.Operator>` `getParserForType()`
`int` `getPartitionCounts​(int index)` `repeated uint32 partition_counts = 25;`
`int` `getPartitionCountsCount()` `repeated uint32 partition_counts = 25;`
`List<Integer>` `getPartitionCountsList()` `repeated uint32 partition_counts = 25;`
`int` `getPartitionIndex()` `uint32 partition_index = 24;`
`PlanProtocol.EquivalentPartitioning` `getPartitioning​(int index)` If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`int` `getPartitioningCount()` If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`List<PlanProtocol.EquivalentPartitioning>` `getPartitioningList()` If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.EquivalentPartitioningOrBuilder` `getPartitioningOrBuilder​(int index)` If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`List<? extends PlanProtocol.EquivalentPartitioningOrBuilder>` `getPartitioningOrBuilderList()` If there is a guarantee on how the data is partitioned (all rows with the same values in some cols or set of cols are guaranteed to be on the same node) when it leaves this operator, the indexes that define the partitioning are listed here
`PlanProtocol.ProductOperator` `getProductOperator()` `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.ProductOperatorOrBuilder` `getProductOperatorOrBuilder()` `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`PlanProtocol.ProjectOutOperator` `getProjectOutOperator()` `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.ProjectOutOperatorOrBuilder` `getProjectOutOperatorOrBuilder()` `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`PlanProtocol.QueriesVirtualOperator` `getQueriesVirtualOperator()` `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.QueriesVirtualOperatorOrBuilder` `getQueriesVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`PlanProtocol.RandomIntOperator` `getRandomIntOperator()` `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.RandomIntOperatorOrBuilder` `getRandomIntOperatorOrBuilder()` `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`PlanProtocol.ReferenceOperator` `getReferenceOperator()` `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.ReferenceOperatorOrBuilder` `getReferenceOperatorOrBuilder()` `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`PlanProtocol.RenameOperator` `getRenameOperator()` `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.RenameOperatorOrBuilder` `getRenameOperatorOrBuilder()` `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`PlanProtocol.ReorderOperator` `getReorderOperator()` `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.ReorderOperatorOrBuilder` `getReorderOperatorOrBuilder()` `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`PlanProtocol.Operator.RequestOneofCase` `getRequestOneofCase()`
`PlanProtocol.RootOperator` `getRootOperator()` `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.RootOperatorOrBuilder` `getRootOperatorOrBuilder()` `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`PlanProtocol.SelectOperator` `getSelectOperator()` `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`PlanProtocol.SelectOperatorOrBuilder` `getSelectOperatorOrBuilder()` `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`int` `getSerializedSize()`
`PlanProtocol.ShuffleOperator` `getShuffleOperator()` `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`PlanProtocol.ShuffleOperatorOrBuilder` `getShuffleOperatorOrBuilder()` `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`boolean` `getSortDirections​(int index)` For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`int` `getSortDirectionsCount()` For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`List<Boolean>` `getSortDirectionsList()` For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections Indicating whether data is sorted ascending (true) or descending (false) by that column
`PlanProtocol.SortOperator` `getSortOperator()` `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`PlanProtocol.SortOperatorOrBuilder` `getSortOperatorOrBuilder()` `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`int` `getSortOrder​(int index)` If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`int` `getSortOrderCount()` If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`List<Integer>` `getSortOrderList()` If there is a guarantee that the data is sorted when it leaves this operator The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order
`String` `getStorageSpaceUuids​(int index)` `repeated string storage_space_uuids = 26;`
`com.google.protobuf.ByteString` `getStorageSpaceUuidsBytes​(int index)` `repeated string storage_space_uuids = 26;`
`int` `getStorageSpaceUuidsCount()` `repeated string storage_space_uuids = 26;`
`com.google.protobuf.ProtocolStringList` `getStorageSpaceUuidsList()` `repeated string storage_space_uuids = 26;`
`PlanProtocol.SuperSelectOperator` `getSuperSelectOperator()` `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.SuperSelectOperatorOrBuilder` `getSuperSelectOperatorOrBuilder()` `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`PlanProtocol.SwitchOperator` `getSwitchOperator()` `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.SwitchOperatorOrBuilder` `getSwitchOperatorOrBuilder()` `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`PlanProtocol.SystemConfigurationVirtualOperator` `getSystemConfigurationVirtualOperator()` `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder` `getSystemConfigurationVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`PlanProtocol.TableCardVirtualOperator` `getTableCardVirtualOperator()` `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.TableCardVirtualOperatorOrBuilder` `getTableCardVirtualOperatorOrBuilder()` `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`PlanProtocol.TableScanOperator` `getTableScanOperator()` `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.TableScanOperatorOrBuilder` `getTableScanOperatorOrBuilder()` `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`PlanProtocol.TeeOperator` `getTeeOperator()` `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`PlanProtocol.TeeOperatorOrBuilder` `getTeeOperatorOrBuilder()` `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`long` `getTestoomflags​(int index)` Vector of OOM flags for testing
`int` `getTestoomflagsCount()` Vector of OOM flags for testing
`List<Long>` `getTestoomflagsList()` Vector of OOM flags for testing
`PlanProtocol.Operator.OperatorType` `getType()` `.xg.db.sqlPlans.Operator.OperatorType type = 1;`
`int` `getTypeValue()` `.xg.db.sqlPlans.Operator.OperatorType type = 1;`
`PlanProtocol.UnionOperator` `getUnionOperator()` `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`PlanProtocol.UnionOperatorOrBuilder` `getUnionOperatorOrBuilder()` `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`PlanProtocol.UnmakeVectorOperator` `getUnmakeVectorOperator()` `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`PlanProtocol.UnmakeVectorOperatorOrBuilder` `getUnmakeVectorOperatorOrBuilder()` `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`boolean` `getUpstreamPartitionSensitive()` `bool upstream_partition_sensitive = 27;`
`PlanProtocol.WindowOperator` `getWindowOperator()` `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`PlanProtocol.WindowOperatorOrBuilder` `getWindowOperatorOrBuilder()` `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`boolean` `hasAggregationOperator()` `.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`
`boolean` `hasAvgColSizeVirtualOperator()` `.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`
`boolean` `hasBroadcastOperator()` `.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`
`boolean` `hasColCardVirtualOperator()` `.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`
`boolean` `hasColDistVirtualOperator()` `.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`
`boolean` `hasColumnEmitterOperator()` `.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`
`boolean` `hasEosOperator()` `.xg.db.sqlPlans.EosOperator eos_operator = 61;`
`boolean` `hasErrorOperator()` `.xg.db.sqlPlans.ErrorOperator error_operator = 66;`
`boolean` `hasExceptOperator()` `.xg.db.sqlPlans.ExceptOperator except_operator = 57;`
`boolean` `hasExtendOperator()` `.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`
`boolean` `hasGatherOperator()` `.xg.db.sqlPlans.GatherOperator gather_operator = 34;`
`boolean` `hasGdcLookupOperator()` `.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`
`boolean` `hasGenerateOperator()` `.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`
`boolean` `hasHashJoinOperator()` `.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`
`int` `hashCode()`
`boolean` `hasIncrementingBigintOperator()` `.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`
`boolean` `hasIncrementingIntOperator()` `.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`
`boolean` `hasIndexAggOperator()` `.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`
`boolean` `hasIndexCountStarOperator()` `.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`
`boolean` `hasIndexDistinctOperator()` `.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`
`boolean` `hasIndexOperator()` `.xg.db.sqlPlans.IndexOperator index_operator = 35;`
`boolean` `hasIntersectOperator()` `.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`
`boolean` `hasLimitOperator()` `.xg.db.sqlPlans.LimitOperator limit_operator = 36;`
`boolean` `hasMakeVectorOperator()` `.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`
`boolean` `hasMatrixExtendOperator()` `.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`
`boolean` `hasModifySchemaOperator()` `.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`
`boolean` `hasOffsetOperator()` `.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`
`boolean` `hasOrderedAggOperator()` `.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`
`boolean` `hasOrderedDistinctOperator()` `.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`
`boolean` `hasOrderedGatherOperator()` `.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`
`boolean` `hasProductOperator()` `.xg.db.sqlPlans.ProductOperator product_operator = 59;`
`boolean` `hasProjectOutOperator()` `.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`
`boolean` `hasQueriesVirtualOperator()` `.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`
`boolean` `hasRandomIntOperator()` `.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`
`boolean` `hasReferenceOperator()` `.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`
`boolean` `hasRenameOperator()` `.xg.db.sqlPlans.RenameOperator rename_operator = 40;`
`boolean` `hasReorderOperator()` `.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`
`boolean` `hasRootOperator()` `.xg.db.sqlPlans.RootOperator root_operator = 44;`
`boolean` `hasSelectOperator()` `.xg.db.sqlPlans.SelectOperator select_operator = 42;`
`boolean` `hasShuffleOperator()` `.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`
`boolean` `hasSortOperator()` `.xg.db.sqlPlans.SortOperator sort_operator = 43;`
`boolean` `hasSuperSelectOperator()` `.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`
`boolean` `hasSwitchOperator()` `.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`
`boolean` `hasSystemConfigurationVirtualOperator()` `.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`
`boolean` `hasTableCardVirtualOperator()` `.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`
`boolean` `hasTableScanOperator()` `.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`
`boolean` `hasTeeOperator()` `.xg.db.sqlPlans.TeeOperator tee_operator = 62;`
`boolean` `hasUnionOperator()` `.xg.db.sqlPlans.UnionOperator union_operator = 55;`
`boolean` `hasUnmakeVectorOperator()` `.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`
`boolean` `hasWindowOperator()` `.xg.db.sqlPlans.WindowOperator window_operator = 65;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static PlanProtocol.Operator.Builder` `newBuilder()`
`static PlanProtocol.Operator.Builder` `newBuilder​(PlanProtocol.Operator prototype)`
`PlanProtocol.Operator.Builder` `newBuilderForType()`
`protected PlanProtocol.Operator.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static PlanProtocol.Operator` `parseDelimitedFrom​(InputStream input)`
`static PlanProtocol.Operator` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.Operator` `parseFrom​(byte[] data)`
`static PlanProtocol.Operator` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.Operator` `parseFrom​(com.google.protobuf.ByteString data)`
`static PlanProtocol.Operator` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.Operator` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static PlanProtocol.Operator` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.Operator` `parseFrom​(InputStream input)`
`static PlanProtocol.Operator` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.Operator` `parseFrom​(ByteBuffer data)`
`static PlanProtocol.Operator` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<PlanProtocol.Operator>` `parser()`
`PlanProtocol.Operator.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### TYPE_FIELD_NUMBER

    public static final int TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### ID_FIELD_NUMBER

    public static final int ID_FIELD_NUMBER

See Also:
  Constant Field Values

#### CHILDREN_FIELD_NUMBER

    public static final int CHILDREN_FIELD_NUMBER

See Also:
  Constant Field Values

#### OUTPUTCOLUMNS_FIELD_NUMBER

    public static final int OUTPUTCOLUMNS_FIELD_NUMBER

See Also:
  Constant Field Values

#### OUTPUTTYPES_FIELD_NUMBER

    public static final int OUTPUTTYPES_FIELD_NUMBER

See Also:
  Constant Field Values

#### COLCARD_FIELD_NUMBER

    public static final int COLCARD_FIELD_NUMBER

See Also:
  Constant Field Values

#### OUTPUTCARDINALITY_FIELD_NUMBER

    public static final int OUTPUTCARDINALITY_FIELD_NUMBER

See Also:
  Constant Field Values

#### MEMORYUSAGE_FIELD_NUMBER

    public static final int MEMORYUSAGE_FIELD_NUMBER

See Also:
  Constant Field Values

#### COST_FIELD_NUMBER

    public static final int COST_FIELD_NUMBER

See Also:
  Constant Field Values

#### SORTORDER_FIELD_NUMBER

    public static final int SORTORDER_FIELD_NUMBER

See Also:
  Constant Field Values

#### SORTDIRECTIONS_FIELD_NUMBER

    public static final int SORTDIRECTIONS_FIELD_NUMBER

See Also:
  Constant Field Values

#### PARTITIONING_FIELD_NUMBER

    public static final int PARTITIONING_FIELD_NUMBER

See Also:
  Constant Field Values

#### OUTPUTISNULLABLE_FIELD_NUMBER

    public static final int OUTPUTISNULLABLE_FIELD_NUMBER

See Also:
  Constant Field Values

#### NUMPARENTS_FIELD_NUMBER

    public static final int NUMPARENTS_FIELD_NUMBER

See Also:
  Constant Field Values

#### COLSIZES_FIELD_NUMBER

    public static final int COLSIZES_FIELD_NUMBER

See Also:
  Constant Field Values

#### ERRORTYPE_FIELD_NUMBER

    public static final int ERRORTYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### ERRORPARTITION_FIELD_NUMBER

    public static final int ERRORPARTITION_FIELD_NUMBER

See Also:
  Constant Field Values

#### ERRORTKTLEVEL_FIELD_NUMBER

    public static final int ERRORTKTLEVEL_FIELD_NUMBER

See Also:
  Constant Field Values

#### EXTERNAL_FIELD_NUMBER

    public static final int EXTERNAL_FIELD_NUMBER

See Also:
  Constant Field Values

#### NUMDISTINCTPARENTS_FIELD_NUMBER

    public static final int NUMDISTINCTPARENTS_FIELD_NUMBER

See Also:
  Constant Field Values

#### DISTANCE_FROM_LEAF_FIELD_NUMBER

    public static final int DISTANCE_FROM_LEAF_FIELD_NUMBER

See Also:
  Constant Field Values

#### CHILD_INDEX_FIELD_NUMBER

    public static final int CHILD_INDEX_FIELD_NUMBER

See Also:
  Constant Field Values

#### BRANCH_INDEX_FIELD_NUMBER

    public static final int BRANCH_INDEX_FIELD_NUMBER

See Also:
  Constant Field Values

#### PARTITION_INDEX_FIELD_NUMBER

    public static final int PARTITION_INDEX_FIELD_NUMBER

See Also:
  Constant Field Values

#### PARTITION_COUNTS_FIELD_NUMBER

    public static final int PARTITION_COUNTS_FIELD_NUMBER

See Also:
  Constant Field Values

#### STORAGE_SPACE_UUIDS_FIELD_NUMBER

    public static final int STORAGE_SPACE_UUIDS_FIELD_NUMBER

See Also:
  Constant Field Values

#### UPSTREAM_PARTITION_SENSITIVE_FIELD_NUMBER

    public static final int UPSTREAM_PARTITION_SENSITIVE_FIELD_NUMBER

See Also:
  Constant Field Values

#### AGGREGATION_OPERATOR_FIELD_NUMBER

    public static final int AGGREGATION_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### EXTEND_OPERATOR_FIELD_NUMBER

    public static final int EXTEND_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### GATHER_OPERATOR_FIELD_NUMBER

    public static final int GATHER_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### INDEX_OPERATOR_FIELD_NUMBER

    public static final int INDEX_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### LIMIT_OPERATOR_FIELD_NUMBER

    public static final int LIMIT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### OFFSET_OPERATOR_FIELD_NUMBER

    public static final int OFFSET_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### ORDERED_GATHER_OPERATOR_FIELD_NUMBER

    public static final int ORDERED_GATHER_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### PROJECT_OUT_OPERATOR_FIELD_NUMBER

    public static final int PROJECT_OUT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### RENAME_OPERATOR_FIELD_NUMBER

    public static final int RENAME_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### REORDER_OPERATOR_FIELD_NUMBER

    public static final int REORDER_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### SELECT_OPERATOR_FIELD_NUMBER

    public static final int SELECT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### SORT_OPERATOR_FIELD_NUMBER

    public static final int SORT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### ROOT_OPERATOR_FIELD_NUMBER

    public static final int ROOT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### MAKE_VECTOR_OPERATOR_FIELD_NUMBER

    public static final int MAKE_VECTOR_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### UNMAKE_VECTOR_OPERATOR_FIELD_NUMBER

    public static final int UNMAKE_VECTOR_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### MATRIX_EXTEND_OPERATOR_FIELD_NUMBER

    public static final int MATRIX_EXTEND_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### TABLE_SCAN_OPERATOR_FIELD_NUMBER

    public static final int TABLE_SCAN_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### INCREMENTING_INT_OPERATOR_FIELD_NUMBER

    public static final int INCREMENTING_INT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### GENERATE_OPERATOR_FIELD_NUMBER

    public static final int GENERATE_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### SUPER_SELECT_OPERATOR_FIELD_NUMBER

    public static final int SUPER_SELECT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### QUERIES_VIRTUAL_OPERATOR_FIELD_NUMBER

    public static final int QUERIES_VIRTUAL_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### RANDOM_INT_OPERATOR_FIELD_NUMBER

    public static final int RANDOM_INT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### COLUMN_EMITTER_OPERATOR_FIELD_NUMBER

    public static final int COLUMN_EMITTER_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### UNION_OPERATOR_FIELD_NUMBER

    public static final int UNION_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### INTERSECT_OPERATOR_FIELD_NUMBER

    public static final int INTERSECT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### EXCEPT_OPERATOR_FIELD_NUMBER

    public static final int EXCEPT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### SWITCH_OPERATOR_FIELD_NUMBER

    public static final int SWITCH_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### PRODUCT_OPERATOR_FIELD_NUMBER

    public static final int PRODUCT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### HASH_JOIN_OPERATOR_FIELD_NUMBER

    public static final int HASH_JOIN_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### EOS_OPERATOR_FIELD_NUMBER

    public static final int EOS_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### TEE_OPERATOR_FIELD_NUMBER

    public static final int TEE_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### SHUFFLE_OPERATOR_FIELD_NUMBER

    public static final int SHUFFLE_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### BROADCAST_OPERATOR_FIELD_NUMBER

    public static final int BROADCAST_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### WINDOW_OPERATOR_FIELD_NUMBER

    public static final int WINDOW_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### ERROR_OPERATOR_FIELD_NUMBER

    public static final int ERROR_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### INDEX_AGG_OPERATOR_FIELD_NUMBER

    public static final int INDEX_AGG_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### ORDERED_AGG_OPERATOR_FIELD_NUMBER

    public static final int ORDERED_AGG_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### INDEX_DISTINCT_OPERATOR_FIELD_NUMBER

    public static final int INDEX_DISTINCT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### ORDERED_DISTINCT_OPERATOR_FIELD_NUMBER

    public static final int ORDERED_DISTINCT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### INCREMENTING_BIGINT_OPERATOR_FIELD_NUMBER

    public static final int INCREMENTING_BIGINT_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### INDEX_COUNT_STAR_OPERATOR_FIELD_NUMBER

    public static final int INDEX_COUNT_STAR_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### GDC_LOOKUP_OPERATOR_FIELD_NUMBER

    public static final int GDC_LOOKUP_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### REFERENCE_OPERATOR_FIELD_NUMBER

    public static final int REFERENCE_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### MODIFY_SCHEMA_OPERATOR_FIELD_NUMBER

    public static final int MODIFY_SCHEMA_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### SYSTEM_CONFIGURATION_VIRTUAL_OPERATOR_FIELD_NUMBER

    public static final int SYSTEM_CONFIGURATION_VIRTUAL_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### TABLE_CARD_VIRTUAL_OPERATOR_FIELD_NUMBER

    public static final int TABLE_CARD_VIRTUAL_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### COL_CARD_VIRTUAL_OPERATOR_FIELD_NUMBER

    public static final int COL_CARD_VIRTUAL_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### AVG_COL_SIZE_VIRTUAL_OPERATOR_FIELD_NUMBER

    public static final int AVG_COL_SIZE_VIRTUAL_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### COL_DIST_VIRTUAL_OPERATOR_FIELD_NUMBER

    public static final int COL_DIST_VIRTUAL_OPERATOR_FIELD_NUMBER

See Also:
  Constant Field Values

#### TESTOOMFLAGS_FIELD_NUMBER

    public static final int TESTOOMFLAGS_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getRequestOneofCase

    public PlanProtocol.Operator.RequestOneofCase getRequestOneofCase()

Specified by:
  `getRequestOneofCase` in interface `PlanProtocol.OperatorOrBuilder`

#### getTypeValue

    public int getTypeValue()

`.xg.db.sqlPlans.Operator.OperatorType type = 1;`

Specified by:
  `getTypeValue` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The enum numeric value on the wire for type.

#### getType

    public PlanProtocol.Operator.OperatorType getType()

`.xg.db.sqlPlans.Operator.OperatorType type = 1;`

Specified by:
  `getType` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The type.

#### getId

    public String getId()

    The id of the operator (used for referencing to a previously defined operator)
    If type is REFERENCE, then this is the id of the operator being referenced
    This is a uuid

`string id = 2;`

Specified by:
  `getId` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The id.

#### getIdBytes

    public com.google.protobuf.ByteString getIdBytes()

    The id of the operator (used for referencing to a previously defined operator)
    If type is REFERENCE, then this is the id of the operator being referenced
    This is a uuid

`string id = 2;`

Specified by:
  `getIdBytes` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The bytes for id.

#### getChildrenList

    public List<PlanProtocol.Operator> getChildrenList()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

Specified by:
  `getChildrenList` in interface `PlanProtocol.OperatorOrBuilder`

#### getChildrenOrBuilderList

    public List<? extends PlanProtocol.OperatorOrBuilder> getChildrenOrBuilderList()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

Specified by:
  `getChildrenOrBuilderList` in interface `PlanProtocol.OperatorOrBuilder`

#### getChildrenCount

    public int getChildrenCount()

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

Specified by:
  `getChildrenCount` in interface `PlanProtocol.OperatorOrBuilder`

#### getChildren

    public PlanProtocol.Operator getChildren​(int index)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

Specified by:
  `getChildren` in interface `PlanProtocol.OperatorOrBuilder`

#### getChildrenOrBuilder

    public PlanProtocol.OperatorOrBuilder getChildrenOrBuilder​(int index)

    The children of this operator - order does matter

`repeated .xg.db.sqlPlans.Operator children = 3;`

Specified by:
  `getChildrenOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### getOutputColumnsList

    public com.google.protobuf.ProtocolStringList getOutputColumnsList()

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Specified by:
  `getOutputColumnsList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the outputColumns.

#### getOutputColumnsCount

    public int getOutputColumnsCount()

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Specified by:
  `getOutputColumnsCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of outputColumns.

#### getOutputColumns

    public String getOutputColumns​(int index)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Specified by:
  `getOutputColumns` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The outputColumns at the given index.

#### getOutputColumnsBytes

    public com.google.protobuf.ByteString getOutputColumnsBytes​(int index)

    The columns that come out of this operator

`repeated string outputColumns = 4;`

Specified by:
  `getOutputColumnsBytes` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputColumns at the given index.

#### getOutputTypesList

    public List<PlanProtocol.SqlColType> getOutputTypesList()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Specified by:
  `getOutputTypesList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the outputTypes.

#### getOutputTypesCount

    public int getOutputTypesCount()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Specified by:
  `getOutputTypesCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of outputTypes.

#### getOutputTypes

    public PlanProtocol.SqlColType getOutputTypes​(int index)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Specified by:
  `getOutputTypes` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The outputTypes at the given index.

#### getOutputTypesValueList

    public List<Integer> getOutputTypesValueList()

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Specified by:
  `getOutputTypesValueList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the enum numeric values on the wire for outputTypes.

#### getOutputTypesValue

    public int getOutputTypesValue​(int index)

    The types for each of those columns (in the same order)

`repeated .xg.db.sqlPlans.SqlColType outputTypes = 5;`

Specified by:
  `getOutputTypesValue` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of outputTypes at the given index.

#### getColCardList

    public List<Long> getColCardList()

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

Specified by:
  `getColCardList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the colCard.

#### getColCardCount

    public int getColCardCount()

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

Specified by:
  `getColCardCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of colCard.

#### getColCard

    public long getColCard​(int index)

    The estimated # of unique values for each col (in the same order)

`repeated uint64 colCard = 6;`

Specified by:
  `getColCard` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The colCard at the given index.

#### getOutputCardinality

    public long getOutputCardinality()

    The estimated number of rows produced by this operator

`uint64 outputCardinality = 7;`

Specified by:
  `getOutputCardinality` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The outputCardinality.

#### getMemoryUsage

    public long getMemoryUsage()

    The estimated number of bytes of memory needed by this operator (may be zero)

`uint64 memoryUsage = 8;`

Specified by:
  `getMemoryUsage` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The memoryUsage.

#### getCost

    public double getCost()

    The cost for this operator as determined by the optimizer

`double cost = 9;`

Specified by:
  `getCost` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The cost.

#### getSortOrderList

    public List<Integer> getSortOrderList()

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

Specified by:
  `getSortOrderList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the sortOrder.

#### getSortOrderCount

    public int getSortOrderCount()

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

Specified by:
  `getSortOrderCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of sortOrder.

#### getSortOrder

    public int getSortOrder​(int index)

    If there is a guarantee that the data is sorted when it leaves this operator
    The indexes (based on outputColumns) are listed here to specify which columns dictate the sort order

`repeated uint32 sortOrder = 10;`

Specified by:
  `getSortOrder` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The sortOrder at the given index.

#### getSortDirectionsList

    public List<Boolean> getSortDirectionsList()

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

Specified by:
  `getSortDirectionsList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the sortDirections.

#### getSortDirectionsCount

    public int getSortDirectionsCount()

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

Specified by:
  `getSortDirectionsCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of sortDirections.

#### getSortDirections

    public boolean getSortDirections​(int index)

    For all the indexes listed in sortOrder (if any), there is a corresponding entry in sortDirections
    Indicating whether data is sorted ascending (true) or descending (false) by that column

`repeated bool sortDirections = 11;`

Specified by:
  `getSortDirections` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The sortDirections at the given index.

#### getPartitioningList

    public List<PlanProtocol.EquivalentPartitioning> getPartitioningList()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

Specified by:
  `getPartitioningList` in interface `PlanProtocol.OperatorOrBuilder`

#### getPartitioningOrBuilderList

    public List<? extends PlanProtocol.EquivalentPartitioningOrBuilder> getPartitioningOrBuilderList()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

Specified by:
  `getPartitioningOrBuilderList` in interface `PlanProtocol.OperatorOrBuilder`

#### getPartitioningCount

    public int getPartitioningCount()

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

Specified by:
  `getPartitioningCount` in interface `PlanProtocol.OperatorOrBuilder`

#### getPartitioning

    public PlanProtocol.EquivalentPartitioning getPartitioning​(int index)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

Specified by:
  `getPartitioning` in interface `PlanProtocol.OperatorOrBuilder`

#### getPartitioningOrBuilder

    public PlanProtocol.EquivalentPartitioningOrBuilder getPartitioningOrBuilder​(int index)

    If there is a guarantee on how the data is partitioned (all rows with the same values in some cols
    or set of cols are guaranteed to be on the same node) when it leaves this operator,
    the indexes that define the partitioning are listed here

`repeated .xg.db.sqlPlans.EquivalentPartitioning partitioning = 12;`

Specified by:
  `getPartitioningOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### getOutputIsNullableList

    public List<Boolean> getOutputIsNullableList()

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

Specified by:
  `getOutputIsNullableList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the outputIsNullable.

#### getOutputIsNullableCount

    public int getOutputIsNullableCount()

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

Specified by:
  `getOutputIsNullableCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of outputIsNullable.

#### getOutputIsNullable

    public boolean getOutputIsNullable​(int index)

    Which output columns are nullable?

`repeated bool outputIsNullable = 13;`

Specified by:
  `getOutputIsNullable` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The outputIsNullable at the given index.

#### getNumParents

    public int getNumParents()

`uint32 numParents = 14;`

Specified by:
  `getNumParents` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The numParents.

#### getColSizesList

    public List<Integer> getColSizesList()

    the average size of each output column

`repeated uint32 colSizes = 15;`

Specified by:
  `getColSizesList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the colSizes.

#### getColSizesCount

    public int getColSizesCount()

    the average size of each output column

`repeated uint32 colSizes = 15;`

Specified by:
  `getColSizesCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of colSizes.

#### getColSizes

    public int getColSizes​(int index)

    the average size of each output column

`repeated uint32 colSizes = 15;`

Specified by:
  `getColSizes` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The colSizes at the given index.

#### getErrorTypeValue

    public int getErrorTypeValue()

`.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`

Specified by:
  `getErrorTypeValue` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The enum numeric value on the wire for errorType.

#### getErrorType

    public PlanProtocol.Operator.ErrorType getErrorType()

`.xg.db.sqlPlans.Operator.ErrorType errorType = 16;`

Specified by:
  `getErrorType` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The errorType.

#### getErrorPartitionList

    public List<Integer> getErrorPartitionList()

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

Specified by:
  `getErrorPartitionList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the errorPartition.

#### getErrorPartitionCount

    public int getErrorPartitionCount()

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

Specified by:
  `getErrorPartitionCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of errorPartition.

#### getErrorPartition

    public int getErrorPartition​(int index)

     errorPartition = UNIT_MAX => apply the error on all partitions

`repeated uint32 errorPartition = 17;`

Specified by:
  `getErrorPartition` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The errorPartition at the given index.

#### getErrorTktLevelList

    public List<Integer> getErrorTktLevelList()

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

Specified by:
  `getErrorTktLevelList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the errorTktLevel.

#### getErrorTktLevelCount

    public int getErrorTktLevelCount()

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

Specified by:
  `getErrorTktLevelCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of errorTktLevel.

#### getErrorTktLevel

    public int getErrorTktLevel​(int index)

     0 => tkt Leaf, >0 => tkt AUX, UINT_MAX => on all tkt levels

`repeated uint32 errorTktLevel = 18;`

Specified by:
  `getErrorTktLevel` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The errorTktLevel at the given index.

#### getExternal

    public boolean getExternal()

    If true, the operator should run externally

`bool external = 19;`

Specified by:
  `getExternal` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The external.

#### getNumDistinctParents

    public int getNumDistinctParents()

`uint32 numDistinctParents = 20;`

Specified by:
  `getNumDistinctParents` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The numDistinctParents.

#### getDistanceFromLeaf

    public long getDistanceFromLeaf()

`uint64 distance_from_leaf = 21;`

Specified by:
  `getDistanceFromLeaf` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The distanceFromLeaf.

#### getChildIndex

    public int getChildIndex()

     these are calculated by level-1(sql-node) vm compilation process

`uint32 child_index = 22;`

Specified by:
  `getChildIndex` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The childIndex.

#### getBranchIndex

    public int getBranchIndex()

`uint32 branch_index = 23;`

Specified by:
  `getBranchIndex` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The branchIndex.

#### getPartitionIndex

    public int getPartitionIndex()

`uint32 partition_index = 24;`

Specified by:
  `getPartitionIndex` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The partitionIndex.

#### getPartitionCountsList

    public List<Integer> getPartitionCountsList()

`repeated uint32 partition_counts = 25;`

Specified by:
  `getPartitionCountsList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the partitionCounts.

#### getPartitionCountsCount

    public int getPartitionCountsCount()

`repeated uint32 partition_counts = 25;`

Specified by:
  `getPartitionCountsCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of partitionCounts.

#### getPartitionCounts

    public int getPartitionCounts​(int index)

`repeated uint32 partition_counts = 25;`

Specified by:
  `getPartitionCounts` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The partitionCounts at the given index.

#### getStorageSpaceUuidsList

    public com.google.protobuf.ProtocolStringList getStorageSpaceUuidsList()

`repeated string storage_space_uuids = 26;`

Specified by:
  `getStorageSpaceUuidsList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the storageSpaceUuids.

#### getStorageSpaceUuidsCount

    public int getStorageSpaceUuidsCount()

`repeated string storage_space_uuids = 26;`

Specified by:
  `getStorageSpaceUuidsCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of storageSpaceUuids.

#### getStorageSpaceUuids

    public String getStorageSpaceUuids​(int index)

`repeated string storage_space_uuids = 26;`

Specified by:
  `getStorageSpaceUuids` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The storageSpaceUuids at the given index.

#### getStorageSpaceUuidsBytes

    public com.google.protobuf.ByteString getStorageSpaceUuidsBytes​(int index)

`repeated string storage_space_uuids = 26;`

Specified by:
  `getStorageSpaceUuidsBytes` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the storageSpaceUuids at the given index.

#### getUpstreamPartitionSensitive

    public boolean getUpstreamPartitionSensitive()

`bool upstream_partition_sensitive = 27;`

Specified by:
  `getUpstreamPartitionSensitive` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The upstreamPartitionSensitive.

#### hasAggregationOperator

    public boolean hasAggregationOperator()

`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

Specified by:
  `hasAggregationOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the aggregationOperator field is set.

#### getAggregationOperator

    public PlanProtocol.AggregationOperator getAggregationOperator()

`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

Specified by:
  `getAggregationOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The aggregationOperator.

#### getAggregationOperatorOrBuilder

    public PlanProtocol.AggregationOperatorOrBuilder getAggregationOperatorOrBuilder()

`.xg.db.sqlPlans.AggregationOperator aggregation_operator = 32;`

Specified by:
  `getAggregationOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasExtendOperator

    public boolean hasExtendOperator()

`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

Specified by:
  `hasExtendOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the extendOperator field is set.

#### getExtendOperator

    public PlanProtocol.ExtendOperator getExtendOperator()

`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

Specified by:
  `getExtendOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The extendOperator.

#### getExtendOperatorOrBuilder

    public PlanProtocol.ExtendOperatorOrBuilder getExtendOperatorOrBuilder()

`.xg.db.sqlPlans.ExtendOperator extend_operator = 33;`

Specified by:
  `getExtendOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasGatherOperator

    public boolean hasGatherOperator()

`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

Specified by:
  `hasGatherOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the gatherOperator field is set.

#### getGatherOperator

    public PlanProtocol.GatherOperator getGatherOperator()

`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

Specified by:
  `getGatherOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The gatherOperator.

#### getGatherOperatorOrBuilder

    public PlanProtocol.GatherOperatorOrBuilder getGatherOperatorOrBuilder()

`.xg.db.sqlPlans.GatherOperator gather_operator = 34;`

Specified by:
  `getGatherOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasIndexOperator

    public boolean hasIndexOperator()

`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

Specified by:
  `hasIndexOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the indexOperator field is set.

#### getIndexOperator

    public PlanProtocol.IndexOperator getIndexOperator()

`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

Specified by:
  `getIndexOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The indexOperator.

#### getIndexOperatorOrBuilder

    public PlanProtocol.IndexOperatorOrBuilder getIndexOperatorOrBuilder()

`.xg.db.sqlPlans.IndexOperator index_operator = 35;`

Specified by:
  `getIndexOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasLimitOperator

    public boolean hasLimitOperator()

`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

Specified by:
  `hasLimitOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the limitOperator field is set.

#### getLimitOperator

    public PlanProtocol.LimitOperator getLimitOperator()

`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

Specified by:
  `getLimitOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The limitOperator.

#### getLimitOperatorOrBuilder

    public PlanProtocol.LimitOperatorOrBuilder getLimitOperatorOrBuilder()

`.xg.db.sqlPlans.LimitOperator limit_operator = 36;`

Specified by:
  `getLimitOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasOffsetOperator

    public boolean hasOffsetOperator()

`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

Specified by:
  `hasOffsetOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the offsetOperator field is set.

#### getOffsetOperator

    public PlanProtocol.OffsetOperator getOffsetOperator()

`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

Specified by:
  `getOffsetOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The offsetOperator.

#### getOffsetOperatorOrBuilder

    public PlanProtocol.OffsetOperatorOrBuilder getOffsetOperatorOrBuilder()

`.xg.db.sqlPlans.OffsetOperator offset_operator = 37;`

Specified by:
  `getOffsetOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasOrderedGatherOperator

    public boolean hasOrderedGatherOperator()

`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

Specified by:
  `hasOrderedGatherOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the orderedGatherOperator field is set.

#### getOrderedGatherOperator

    public PlanProtocol.OrderedGatherOperator getOrderedGatherOperator()

`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

Specified by:
  `getOrderedGatherOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The orderedGatherOperator.

#### getOrderedGatherOperatorOrBuilder

    public PlanProtocol.OrderedGatherOperatorOrBuilder getOrderedGatherOperatorOrBuilder()

`.xg.db.sqlPlans.OrderedGatherOperator ordered_gather_operator = 38;`

Specified by:
  `getOrderedGatherOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasProjectOutOperator

    public boolean hasProjectOutOperator()

`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

Specified by:
  `hasProjectOutOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the projectOutOperator field is set.

#### getProjectOutOperator

    public PlanProtocol.ProjectOutOperator getProjectOutOperator()

`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

Specified by:
  `getProjectOutOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The projectOutOperator.

#### getProjectOutOperatorOrBuilder

    public PlanProtocol.ProjectOutOperatorOrBuilder getProjectOutOperatorOrBuilder()

`.xg.db.sqlPlans.ProjectOutOperator project_out_operator = 39;`

Specified by:
  `getProjectOutOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasRenameOperator

    public boolean hasRenameOperator()

`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

Specified by:
  `hasRenameOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the renameOperator field is set.

#### getRenameOperator

    public PlanProtocol.RenameOperator getRenameOperator()

`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

Specified by:
  `getRenameOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The renameOperator.

#### getRenameOperatorOrBuilder

    public PlanProtocol.RenameOperatorOrBuilder getRenameOperatorOrBuilder()

`.xg.db.sqlPlans.RenameOperator rename_operator = 40;`

Specified by:
  `getRenameOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasReorderOperator

    public boolean hasReorderOperator()

`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

Specified by:
  `hasReorderOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the reorderOperator field is set.

#### getReorderOperator

    public PlanProtocol.ReorderOperator getReorderOperator()

`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

Specified by:
  `getReorderOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The reorderOperator.

#### getReorderOperatorOrBuilder

    public PlanProtocol.ReorderOperatorOrBuilder getReorderOperatorOrBuilder()

`.xg.db.sqlPlans.ReorderOperator reorder_operator = 41;`

Specified by:
  `getReorderOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasSelectOperator

    public boolean hasSelectOperator()

`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

Specified by:
  `hasSelectOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the selectOperator field is set.

#### getSelectOperator

    public PlanProtocol.SelectOperator getSelectOperator()

`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

Specified by:
  `getSelectOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The selectOperator.

#### getSelectOperatorOrBuilder

    public PlanProtocol.SelectOperatorOrBuilder getSelectOperatorOrBuilder()

`.xg.db.sqlPlans.SelectOperator select_operator = 42;`

Specified by:
  `getSelectOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasSortOperator

    public boolean hasSortOperator()

`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

Specified by:
  `hasSortOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the sortOperator field is set.

#### getSortOperator

    public PlanProtocol.SortOperator getSortOperator()

`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

Specified by:
  `getSortOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The sortOperator.

#### getSortOperatorOrBuilder

    public PlanProtocol.SortOperatorOrBuilder getSortOperatorOrBuilder()

`.xg.db.sqlPlans.SortOperator sort_operator = 43;`

Specified by:
  `getSortOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasRootOperator

    public boolean hasRootOperator()

`.xg.db.sqlPlans.RootOperator root_operator = 44;`

Specified by:
  `hasRootOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the rootOperator field is set.

#### getRootOperator

    public PlanProtocol.RootOperator getRootOperator()

`.xg.db.sqlPlans.RootOperator root_operator = 44;`

Specified by:
  `getRootOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The rootOperator.

#### getRootOperatorOrBuilder

    public PlanProtocol.RootOperatorOrBuilder getRootOperatorOrBuilder()

`.xg.db.sqlPlans.RootOperator root_operator = 44;`

Specified by:
  `getRootOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasMakeVectorOperator

    public boolean hasMakeVectorOperator()

`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

Specified by:
  `hasMakeVectorOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the makeVectorOperator field is set.

#### getMakeVectorOperator

    public PlanProtocol.MakeVectorOperator getMakeVectorOperator()

`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

Specified by:
  `getMakeVectorOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The makeVectorOperator.

#### getMakeVectorOperatorOrBuilder

    public PlanProtocol.MakeVectorOperatorOrBuilder getMakeVectorOperatorOrBuilder()

`.xg.db.sqlPlans.MakeVectorOperator make_vector_operator = 45;`

Specified by:
  `getMakeVectorOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasUnmakeVectorOperator

    public boolean hasUnmakeVectorOperator()

`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

Specified by:
  `hasUnmakeVectorOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the unmakeVectorOperator field is set.

#### getUnmakeVectorOperator

    public PlanProtocol.UnmakeVectorOperator getUnmakeVectorOperator()

`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

Specified by:
  `getUnmakeVectorOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The unmakeVectorOperator.

#### getUnmakeVectorOperatorOrBuilder

    public PlanProtocol.UnmakeVectorOperatorOrBuilder getUnmakeVectorOperatorOrBuilder()

`.xg.db.sqlPlans.UnmakeVectorOperator unmake_vector_operator = 46;`

Specified by:
  `getUnmakeVectorOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasMatrixExtendOperator

    public boolean hasMatrixExtendOperator()

`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

Specified by:
  `hasMatrixExtendOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the matrixExtendOperator field is set.

#### getMatrixExtendOperator

    public PlanProtocol.MatrixExtendOperator getMatrixExtendOperator()

`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

Specified by:
  `getMatrixExtendOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The matrixExtendOperator.

#### getMatrixExtendOperatorOrBuilder

    public PlanProtocol.MatrixExtendOperatorOrBuilder getMatrixExtendOperatorOrBuilder()

`.xg.db.sqlPlans.MatrixExtendOperator matrix_extend_operator = 47;`

Specified by:
  `getMatrixExtendOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasTableScanOperator

    public boolean hasTableScanOperator()

`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

Specified by:
  `hasTableScanOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the tableScanOperator field is set.

#### getTableScanOperator

    public PlanProtocol.TableScanOperator getTableScanOperator()

`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

Specified by:
  `getTableScanOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The tableScanOperator.

#### getTableScanOperatorOrBuilder

    public PlanProtocol.TableScanOperatorOrBuilder getTableScanOperatorOrBuilder()

`.xg.db.sqlPlans.TableScanOperator table_scan_operator = 48;`

Specified by:
  `getTableScanOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasIncrementingIntOperator

    public boolean hasIncrementingIntOperator()

`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

Specified by:
  `hasIncrementingIntOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the incrementingIntOperator field is set.

#### getIncrementingIntOperator

    public PlanProtocol.IncrementingIntOperator getIncrementingIntOperator()

`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

Specified by:
  `getIncrementingIntOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The incrementingIntOperator.

#### getIncrementingIntOperatorOrBuilder

    public PlanProtocol.IncrementingIntOperatorOrBuilder getIncrementingIntOperatorOrBuilder()

`.xg.db.sqlPlans.IncrementingIntOperator incrementing_int_operator = 49;`

Specified by:
  `getIncrementingIntOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasGenerateOperator

    public boolean hasGenerateOperator()

`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

Specified by:
  `hasGenerateOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the generateOperator field is set.

#### getGenerateOperator

    public PlanProtocol.GenerateOperator getGenerateOperator()

`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

Specified by:
  `getGenerateOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The generateOperator.

#### getGenerateOperatorOrBuilder

    public PlanProtocol.GenerateOperatorOrBuilder getGenerateOperatorOrBuilder()

`.xg.db.sqlPlans.GenerateOperator generate_operator = 50;`

Specified by:
  `getGenerateOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasSuperSelectOperator

    public boolean hasSuperSelectOperator()

`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

Specified by:
  `hasSuperSelectOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the superSelectOperator field is set.

#### getSuperSelectOperator

    public PlanProtocol.SuperSelectOperator getSuperSelectOperator()

`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

Specified by:
  `getSuperSelectOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The superSelectOperator.

#### getSuperSelectOperatorOrBuilder

    public PlanProtocol.SuperSelectOperatorOrBuilder getSuperSelectOperatorOrBuilder()

`.xg.db.sqlPlans.SuperSelectOperator super_select_operator = 51;`

Specified by:
  `getSuperSelectOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasQueriesVirtualOperator

    public boolean hasQueriesVirtualOperator()

`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

Specified by:
  `hasQueriesVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the queriesVirtualOperator field is set.

#### getQueriesVirtualOperator

    public PlanProtocol.QueriesVirtualOperator getQueriesVirtualOperator()

`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

Specified by:
  `getQueriesVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The queriesVirtualOperator.

#### getQueriesVirtualOperatorOrBuilder

    public PlanProtocol.QueriesVirtualOperatorOrBuilder getQueriesVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.QueriesVirtualOperator queries_virtual_operator = 52;`

Specified by:
  `getQueriesVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasRandomIntOperator

    public boolean hasRandomIntOperator()

`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

Specified by:
  `hasRandomIntOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the randomIntOperator field is set.

#### getRandomIntOperator

    public PlanProtocol.RandomIntOperator getRandomIntOperator()

`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

Specified by:
  `getRandomIntOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The randomIntOperator.

#### getRandomIntOperatorOrBuilder

    public PlanProtocol.RandomIntOperatorOrBuilder getRandomIntOperatorOrBuilder()

`.xg.db.sqlPlans.RandomIntOperator random_int_operator = 53;`

Specified by:
  `getRandomIntOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasColumnEmitterOperator

    public boolean hasColumnEmitterOperator()

`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

Specified by:
  `hasColumnEmitterOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the columnEmitterOperator field is set.

#### getColumnEmitterOperator

    public PlanProtocol.ColumnEmitterOperator getColumnEmitterOperator()

`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

Specified by:
  `getColumnEmitterOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The columnEmitterOperator.

#### getColumnEmitterOperatorOrBuilder

    public PlanProtocol.ColumnEmitterOperatorOrBuilder getColumnEmitterOperatorOrBuilder()

`.xg.db.sqlPlans.ColumnEmitterOperator column_emitter_operator = 54;`

Specified by:
  `getColumnEmitterOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasUnionOperator

    public boolean hasUnionOperator()

`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

Specified by:
  `hasUnionOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the unionOperator field is set.

#### getUnionOperator

    public PlanProtocol.UnionOperator getUnionOperator()

`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

Specified by:
  `getUnionOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The unionOperator.

#### getUnionOperatorOrBuilder

    public PlanProtocol.UnionOperatorOrBuilder getUnionOperatorOrBuilder()

`.xg.db.sqlPlans.UnionOperator union_operator = 55;`

Specified by:
  `getUnionOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasIntersectOperator

    public boolean hasIntersectOperator()

`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

Specified by:
  `hasIntersectOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the intersectOperator field is set.

#### getIntersectOperator

    public PlanProtocol.IntersectOperator getIntersectOperator()

`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

Specified by:
  `getIntersectOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The intersectOperator.

#### getIntersectOperatorOrBuilder

    public PlanProtocol.IntersectOperatorOrBuilder getIntersectOperatorOrBuilder()

`.xg.db.sqlPlans.IntersectOperator intersect_operator = 56;`

Specified by:
  `getIntersectOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasExceptOperator

    public boolean hasExceptOperator()

`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

Specified by:
  `hasExceptOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the exceptOperator field is set.

#### getExceptOperator

    public PlanProtocol.ExceptOperator getExceptOperator()

`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

Specified by:
  `getExceptOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The exceptOperator.

#### getExceptOperatorOrBuilder

    public PlanProtocol.ExceptOperatorOrBuilder getExceptOperatorOrBuilder()

`.xg.db.sqlPlans.ExceptOperator except_operator = 57;`

Specified by:
  `getExceptOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasSwitchOperator

    public boolean hasSwitchOperator()

`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

Specified by:
  `hasSwitchOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the switchOperator field is set.

#### getSwitchOperator

    public PlanProtocol.SwitchOperator getSwitchOperator()

`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

Specified by:
  `getSwitchOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The switchOperator.

#### getSwitchOperatorOrBuilder

    public PlanProtocol.SwitchOperatorOrBuilder getSwitchOperatorOrBuilder()

`.xg.db.sqlPlans.SwitchOperator switch_operator = 58;`

Specified by:
  `getSwitchOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasProductOperator

    public boolean hasProductOperator()

`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

Specified by:
  `hasProductOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the productOperator field is set.

#### getProductOperator

    public PlanProtocol.ProductOperator getProductOperator()

`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

Specified by:
  `getProductOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The productOperator.

#### getProductOperatorOrBuilder

    public PlanProtocol.ProductOperatorOrBuilder getProductOperatorOrBuilder()

`.xg.db.sqlPlans.ProductOperator product_operator = 59;`

Specified by:
  `getProductOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasHashJoinOperator

    public boolean hasHashJoinOperator()

`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

Specified by:
  `hasHashJoinOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the hashJoinOperator field is set.

#### getHashJoinOperator

    public PlanProtocol.HashJoinOperator getHashJoinOperator()

`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

Specified by:
  `getHashJoinOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The hashJoinOperator.

#### getHashJoinOperatorOrBuilder

    public PlanProtocol.HashJoinOperatorOrBuilder getHashJoinOperatorOrBuilder()

`.xg.db.sqlPlans.HashJoinOperator hash_join_operator = 60;`

Specified by:
  `getHashJoinOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasEosOperator

    public boolean hasEosOperator()

`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

Specified by:
  `hasEosOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the eosOperator field is set.

#### getEosOperator

    public PlanProtocol.EosOperator getEosOperator()

`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

Specified by:
  `getEosOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The eosOperator.

#### getEosOperatorOrBuilder

    public PlanProtocol.EosOperatorOrBuilder getEosOperatorOrBuilder()

`.xg.db.sqlPlans.EosOperator eos_operator = 61;`

Specified by:
  `getEosOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasTeeOperator

    public boolean hasTeeOperator()

`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

Specified by:
  `hasTeeOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the teeOperator field is set.

#### getTeeOperator

    public PlanProtocol.TeeOperator getTeeOperator()

`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

Specified by:
  `getTeeOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The teeOperator.

#### getTeeOperatorOrBuilder

    public PlanProtocol.TeeOperatorOrBuilder getTeeOperatorOrBuilder()

`.xg.db.sqlPlans.TeeOperator tee_operator = 62;`

Specified by:
  `getTeeOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasShuffleOperator

    public boolean hasShuffleOperator()

`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

Specified by:
  `hasShuffleOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the shuffleOperator field is set.

#### getShuffleOperator

    public PlanProtocol.ShuffleOperator getShuffleOperator()

`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

Specified by:
  `getShuffleOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The shuffleOperator.

#### getShuffleOperatorOrBuilder

    public PlanProtocol.ShuffleOperatorOrBuilder getShuffleOperatorOrBuilder()

`.xg.db.sqlPlans.ShuffleOperator shuffle_operator = 63;`

Specified by:
  `getShuffleOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasBroadcastOperator

    public boolean hasBroadcastOperator()

`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

Specified by:
  `hasBroadcastOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the broadcastOperator field is set.

#### getBroadcastOperator

    public PlanProtocol.BroadcastOperator getBroadcastOperator()

`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

Specified by:
  `getBroadcastOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The broadcastOperator.

#### getBroadcastOperatorOrBuilder

    public PlanProtocol.BroadcastOperatorOrBuilder getBroadcastOperatorOrBuilder()

`.xg.db.sqlPlans.BroadcastOperator broadcast_operator = 64;`

Specified by:
  `getBroadcastOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasWindowOperator

    public boolean hasWindowOperator()

`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

Specified by:
  `hasWindowOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the windowOperator field is set.

#### getWindowOperator

    public PlanProtocol.WindowOperator getWindowOperator()

`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

Specified by:
  `getWindowOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The windowOperator.

#### getWindowOperatorOrBuilder

    public PlanProtocol.WindowOperatorOrBuilder getWindowOperatorOrBuilder()

`.xg.db.sqlPlans.WindowOperator window_operator = 65;`

Specified by:
  `getWindowOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasErrorOperator

    public boolean hasErrorOperator()

`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

Specified by:
  `hasErrorOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the errorOperator field is set.

#### getErrorOperator

    public PlanProtocol.ErrorOperator getErrorOperator()

`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

Specified by:
  `getErrorOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The errorOperator.

#### getErrorOperatorOrBuilder

    public PlanProtocol.ErrorOperatorOrBuilder getErrorOperatorOrBuilder()

`.xg.db.sqlPlans.ErrorOperator error_operator = 66;`

Specified by:
  `getErrorOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasIndexAggOperator

    public boolean hasIndexAggOperator()

`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

Specified by:
  `hasIndexAggOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the indexAggOperator field is set.

#### getIndexAggOperator

    public PlanProtocol.IndexAggOperator getIndexAggOperator()

`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

Specified by:
  `getIndexAggOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The indexAggOperator.

#### getIndexAggOperatorOrBuilder

    public PlanProtocol.IndexAggOperatorOrBuilder getIndexAggOperatorOrBuilder()

`.xg.db.sqlPlans.IndexAggOperator index_agg_operator = 67;`

Specified by:
  `getIndexAggOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasOrderedAggOperator

    public boolean hasOrderedAggOperator()

`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

Specified by:
  `hasOrderedAggOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the orderedAggOperator field is set.

#### getOrderedAggOperator

    public PlanProtocol.OrderedAggOperator getOrderedAggOperator()

`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

Specified by:
  `getOrderedAggOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The orderedAggOperator.

#### getOrderedAggOperatorOrBuilder

    public PlanProtocol.OrderedAggOperatorOrBuilder getOrderedAggOperatorOrBuilder()

`.xg.db.sqlPlans.OrderedAggOperator ordered_agg_operator = 68;`

Specified by:
  `getOrderedAggOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasIndexDistinctOperator

    public boolean hasIndexDistinctOperator()

`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

Specified by:
  `hasIndexDistinctOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the indexDistinctOperator field is set.

#### getIndexDistinctOperator

    public PlanProtocol.IndexDistinctOperator getIndexDistinctOperator()

`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

Specified by:
  `getIndexDistinctOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The indexDistinctOperator.

#### getIndexDistinctOperatorOrBuilder

    public PlanProtocol.IndexDistinctOperatorOrBuilder getIndexDistinctOperatorOrBuilder()

`.xg.db.sqlPlans.IndexDistinctOperator index_distinct_operator = 69;`

Specified by:
  `getIndexDistinctOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasOrderedDistinctOperator

    public boolean hasOrderedDistinctOperator()

`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

Specified by:
  `hasOrderedDistinctOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the orderedDistinctOperator field is set.

#### getOrderedDistinctOperator

    public PlanProtocol.OrderedDistinctOperator getOrderedDistinctOperator()

`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

Specified by:
  `getOrderedDistinctOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The orderedDistinctOperator.

#### getOrderedDistinctOperatorOrBuilder

    public PlanProtocol.OrderedDistinctOperatorOrBuilder getOrderedDistinctOperatorOrBuilder()

`.xg.db.sqlPlans.OrderedDistinctOperator ordered_distinct_operator = 70;`

Specified by:
  `getOrderedDistinctOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasIncrementingBigintOperator

    public boolean hasIncrementingBigintOperator()

`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

Specified by:
  `hasIncrementingBigintOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the incrementingBigintOperator field is set.

#### getIncrementingBigintOperator

    public PlanProtocol.IncrementingBigIntOperator getIncrementingBigintOperator()

`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

Specified by:
  `getIncrementingBigintOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The incrementingBigintOperator.

#### getIncrementingBigintOperatorOrBuilder

    public PlanProtocol.IncrementingBigIntOperatorOrBuilder getIncrementingBigintOperatorOrBuilder()

`.xg.db.sqlPlans.IncrementingBigIntOperator incrementing_bigint_operator = 71;`

Specified by:
  `getIncrementingBigintOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasIndexCountStarOperator

    public boolean hasIndexCountStarOperator()

`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

Specified by:
  `hasIndexCountStarOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the indexCountStarOperator field is set.

#### getIndexCountStarOperator

    public PlanProtocol.IndexCountStarOperator getIndexCountStarOperator()

`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

Specified by:
  `getIndexCountStarOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The indexCountStarOperator.

#### getIndexCountStarOperatorOrBuilder

    public PlanProtocol.IndexCountStarOperatorOrBuilder getIndexCountStarOperatorOrBuilder()

`.xg.db.sqlPlans.IndexCountStarOperator index_count_star_operator = 72;`

Specified by:
  `getIndexCountStarOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasGdcLookupOperator

    public boolean hasGdcLookupOperator()

`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

Specified by:
  `hasGdcLookupOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the gdcLookupOperator field is set.

#### getGdcLookupOperator

    public PlanProtocol.GdcLookupOperator getGdcLookupOperator()

`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

Specified by:
  `getGdcLookupOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The gdcLookupOperator.

#### getGdcLookupOperatorOrBuilder

    public PlanProtocol.GdcLookupOperatorOrBuilder getGdcLookupOperatorOrBuilder()

`.xg.db.sqlPlans.GdcLookupOperator gdc_lookup_operator = 73;`

Specified by:
  `getGdcLookupOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasReferenceOperator

    public boolean hasReferenceOperator()

`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

Specified by:
  `hasReferenceOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the referenceOperator field is set.

#### getReferenceOperator

    public PlanProtocol.ReferenceOperator getReferenceOperator()

`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

Specified by:
  `getReferenceOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The referenceOperator.

#### getReferenceOperatorOrBuilder

    public PlanProtocol.ReferenceOperatorOrBuilder getReferenceOperatorOrBuilder()

`.xg.db.sqlPlans.ReferenceOperator reference_operator = 74;`

Specified by:
  `getReferenceOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasModifySchemaOperator

    public boolean hasModifySchemaOperator()

`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

Specified by:
  `hasModifySchemaOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the modifySchemaOperator field is set.

#### getModifySchemaOperator

    public PlanProtocol.ModifySchemaOperator getModifySchemaOperator()

`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

Specified by:
  `getModifySchemaOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The modifySchemaOperator.

#### getModifySchemaOperatorOrBuilder

    public PlanProtocol.ModifySchemaOperatorOrBuilder getModifySchemaOperatorOrBuilder()

`.xg.db.sqlPlans.ModifySchemaOperator modify_schema_operator = 75;`

Specified by:
  `getModifySchemaOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasSystemConfigurationVirtualOperator

    public boolean hasSystemConfigurationVirtualOperator()

`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

Specified by:
  `hasSystemConfigurationVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the systemConfigurationVirtualOperator field is set.

#### getSystemConfigurationVirtualOperator

    public PlanProtocol.SystemConfigurationVirtualOperator getSystemConfigurationVirtualOperator()

`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

Specified by:
  `getSystemConfigurationVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The systemConfigurationVirtualOperator.

#### getSystemConfigurationVirtualOperatorOrBuilder

    public PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder getSystemConfigurationVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.SystemConfigurationVirtualOperator system_configuration_virtual_operator = 76;`

Specified by:
  `getSystemConfigurationVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasTableCardVirtualOperator

    public boolean hasTableCardVirtualOperator()

`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

Specified by:
  `hasTableCardVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the tableCardVirtualOperator field is set.

#### getTableCardVirtualOperator

    public PlanProtocol.TableCardVirtualOperator getTableCardVirtualOperator()

`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

Specified by:
  `getTableCardVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The tableCardVirtualOperator.

#### getTableCardVirtualOperatorOrBuilder

    public PlanProtocol.TableCardVirtualOperatorOrBuilder getTableCardVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.TableCardVirtualOperator table_card_virtual_operator = 77;`

Specified by:
  `getTableCardVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasColCardVirtualOperator

    public boolean hasColCardVirtualOperator()

`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

Specified by:
  `hasColCardVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the colCardVirtualOperator field is set.

#### getColCardVirtualOperator

    public PlanProtocol.ColCardVirtualOperator getColCardVirtualOperator()

`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

Specified by:
  `getColCardVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The colCardVirtualOperator.

#### getColCardVirtualOperatorOrBuilder

    public PlanProtocol.ColCardVirtualOperatorOrBuilder getColCardVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.ColCardVirtualOperator col_card_virtual_operator = 78;`

Specified by:
  `getColCardVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasAvgColSizeVirtualOperator

    public boolean hasAvgColSizeVirtualOperator()

`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

Specified by:
  `hasAvgColSizeVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the avgColSizeVirtualOperator field is set.

#### getAvgColSizeVirtualOperator

    public PlanProtocol.AvgColSizeVirtualOperator getAvgColSizeVirtualOperator()

`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

Specified by:
  `getAvgColSizeVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The avgColSizeVirtualOperator.

#### getAvgColSizeVirtualOperatorOrBuilder

    public PlanProtocol.AvgColSizeVirtualOperatorOrBuilder getAvgColSizeVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.AvgColSizeVirtualOperator avg_col_size_virtual_operator = 79;`

Specified by:
  `getAvgColSizeVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### hasColDistVirtualOperator

    public boolean hasColDistVirtualOperator()

`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

Specified by:
  `hasColDistVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  Whether the colDistVirtualOperator field is set.

#### getColDistVirtualOperator

    public PlanProtocol.ColDistVirtualOperator getColDistVirtualOperator()

`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

Specified by:
  `getColDistVirtualOperator` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The colDistVirtualOperator.

#### getColDistVirtualOperatorOrBuilder

    public PlanProtocol.ColDistVirtualOperatorOrBuilder getColDistVirtualOperatorOrBuilder()

`.xg.db.sqlPlans.ColDistVirtualOperator col_dist_virtual_operator = 80;`

Specified by:
  `getColDistVirtualOperatorOrBuilder` in interface `PlanProtocol.OperatorOrBuilder`

#### getTestoomflagsList

    public List<Long> getTestoomflagsList()

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

Specified by:
  `getTestoomflagsList` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  A list containing the testoomflags.

#### getTestoomflagsCount

    public int getTestoomflagsCount()

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

Specified by:
  `getTestoomflagsCount` in interface `PlanProtocol.OperatorOrBuilder`
Returns:
  The count of testoomflags.

#### getTestoomflags

    public long getTestoomflags​(int index)

    Vector of OOM flags for testing

`repeated uint64 testoomflags = 200;`

Specified by:
  `getTestoomflags` in interface `PlanProtocol.OperatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The testoomflags at the given index.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static PlanProtocol.Operator parseFrom​(ByteBuffer data)
                                           throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.Operator parseFrom​(ByteBuffer data,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.Operator parseFrom​(com.google.protobuf.ByteString data)
                                           throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.Operator parseFrom​(com.google.protobuf.ByteString data,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.Operator parseFrom​(byte[] data)
                                           throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.Operator parseFrom​(byte[] data,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.Operator parseFrom​(InputStream input)
                                           throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.Operator parseFrom​(InputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.Operator parseDelimitedFrom​(InputStream input)
                                                    throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.Operator parseDelimitedFrom​(InputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.Operator parseFrom​(com.google.protobuf.CodedInputStream input)
                                           throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.Operator parseFrom​(com.google.protobuf.CodedInputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public PlanProtocol.Operator.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static PlanProtocol.Operator.Builder newBuilder()

#### newBuilder

    public static PlanProtocol.Operator.Builder newBuilder​(PlanProtocol.Operator prototype)

#### toBuilder

    public PlanProtocol.Operator.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected PlanProtocol.Operator.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static PlanProtocol.Operator getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<PlanProtocol.Operator> parser()

#### getParserForType

    public com.google.protobuf.Parser<PlanProtocol.Operator> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public PlanProtocol.Operator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`